Skip to main content
GET
List positions

Authorizations

x-api-key
string
header
required

Query Parameters

start
integer | null

Pagination start index of the page to return.

Required range: x >= 0
end
integer | null

Pagination end index of the page to return.

Required range: x >= 0
ownerPubkey
string

Position owner public key

Minimum string length: 1
marketPubkey
string

Filter by market account public key.

Minimum string length: 1
marketId
string

Filter by market id.

Minimum string length: 1
isYes
enum<string>

Filter by position side (true = YES, false = NO)

Available options:
true,
false

Response

List of on-chain positions

data
object[]
required
pagination
object
required